header "chipset" /{

#include <linux/ctype.h>

#define CHIPSET_82c200    0
#define CHIPSET_i82527    1


typedef struct {
  int (* ChipReset)  (int minor);
  int (* SetTiming)  (int board,int baud);
  int (* StartChip)  (int board);
  int (* StopChip)   (int board);
  int (* SetMask)    (int board, int arg);
  int (* SetOMode)   (int board, int arg);
  int (* SendMessage)(int board, canmsg_t *tx, int wait);
  int (* GetMessage) (int board, canmsg_t *rx );
  

  void (* Interrupt)( int irq, void *unused, struct pt_regs *ptregs );
} can_atomic_func_t;

extern can_atomic_func_t *atomic_ops[];


/*---------- Primitives Wrapper */

#define CAN_ChipReset(minor)           (atomic_ops[minor]->ChipReset)(minor)
#define CAN_SetTiming(minor,baud)      (atomic_ops[minor]->SetTiming)(minor,baud)
#define CAN_StartChip(minor)           (atomic_ops[minor]->StartChip)(minor)
#define CAN_StopChip(minor)            (atomic_ops[minor]->StopChip)(minor)
#define CAN_SetMask(minor,arg)         (atomic_ops[minor]->SetMask)(minor,arg)
#define CAN_SetOMode(minor,arg)        (atomic_ops[minor]->SetOMode)(minor,arg)
#define CAN_SendMessage(minor,tx,wait) (atomic_ops[minor]->SendMessage)(minor,tx,wait)
#define CAN_GetMessage(minor,rx)       (atomic_ops[minor]->GetMessage)(minor,rx)

#define CAN_Interrupt(minor)           atomic_ops[minor]->Interrupt

}/

file "chipset" /{

can_atomic_func_t *atomic_ops[4];



}/