
#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>

#include <Can_lib.h>

#define STDDEV "can1"

main(int argc,char **argv) {
int fd1,fd2;
int i,sent;
int got=0;
canmsg_t tx[50];
canmsg_t rx[50];
canmsg_t rtr,rtr2;
char device[40];

if(( fd1 = open("/dev/can0", O_RDWR )) < 0 ) {
	fprintf(stderr,"Error opening CAN device 0\n");
        exit(1);
}
if(( fd2 = open("/dev/can1", O_RDWR )) < 0 ) {
	fprintf(stderr,"Error opening CAN device 1\n");
        exit(1);
}

if( can_ConfigureRTR(fd2, 4, 11, 2 ) < 0 ) {
  fprintf(stderr,"error configuring RTR");
  exit(1);
}

rtr.id = 502;
strcpy(rtr.data,"abcd");
rtr.length = 4;

if( can_SetRTR(fd2, &rtr) <0 ) {
  fprintf(stderr,"error setting RTR \n");
  exit(1);
}

if( can_GetRTR(fd2, &rtr2) <0 ) {
  fprintf(stderr,"error getting RTR \n");
  exit(1);
}

fprintf(stderr,"** rtr='%s' len=%d id=%d \n",rtr2.data,rtr2.length,rtr2.id);



for(i=0;i<5;i++) {
  sprintf( tx[i].data,"msg%d",i);
  tx[i].rtr = 1;
  tx[i].length = strlen(tx[i].data);  
  tx[i].id=500 + i;
}

sent=write(fd1, tx, 5 ); /*sleep(1);*/
if(sent <= 0)
    printf("not ready");


close(fd1);
close(fd2);

}
